# Uses of Enum
org.eclipse.birt.chart.model.attribute.Anchor

Packages that use Anchor
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of Anchor in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type Anchor
Modifier and Type
Field
Description
`static final List<Anchor>`
Anchor.`VALUES`
A public read-only list of all the 'Anchor' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return Anchor
Modifier and Type
Method
Description
`static Anchor`
Anchor.`get(int value)`
Returns the 'Anchor' literal with the specified integer value.
`static Anchor`
Anchor.`get(String literal)`
Returns the 'Anchor' literal with the specified literal value.
`static Anchor`
Anchor.`getByName(String name)`
Returns the 'Anchor' literal with the specified name.
`static Anchor`
Anchor.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Anchor[]`
Anchor.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of Anchor in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return Anchor
Modifier and Type
Method
Description
`Anchor`
AttributeFactoryImpl.`createAnchorFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`Anchor`
AttributeFactoryImpl.`createAnchorObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of Anchor in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return Anchor
Modifier and Type
Method
Description
`Anchor`
CurveFitting.`getLabelAnchor()`
Returns the value of the 'Label Anchor' attribute.
`Anchor`
MarkerLine.`getLabelAnchor()`
Returns the value of the 'Label Anchor' attribute.
`Anchor`
MarkerRange.`getLabelAnchor()`
Returns the value of the 'Label Anchor' attribute.
Methods in org.eclipse.birt.chart.model.component with parameters of type Anchor
Modifier and Type
Method
Description
`void`
CurveFitting.`setLabelAnchor(Anchor value)`
Sets the value of the '`Label Anchor`' attribute.
`void`
MarkerLine.`setLabelAnchor(Anchor value)`
Sets the value of the ' `Label Anchor`' attribute.
`void`
MarkerRange.`setLabelAnchor(Anchor value)`
Sets the value of the ' `Label Anchor`' attribute.

## Uses of Anchor in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return Anchor
Modifier and Type
Method
Description
`Anchor`
CurveFittingImpl.`getLabelAnchor()`
`Anchor`
MarkerLineImpl.`getLabelAnchor()`
`Anchor`
MarkerRangeImpl.`getLabelAnchor()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type Anchor
Modifier and Type
Method
Description
`void`
CurveFittingImpl.`setLabelAnchor(Anchor newLabelAnchor)`
`void`
MarkerLineImpl.`setLabelAnchor(Anchor newLabelAnchor)`
`void`
MarkerRangeImpl.`setLabelAnchor(Anchor newLabelAnchor)`

## Uses of Anchor in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return Anchor
Modifier and Type
Method
Description
`Anchor`
Block.`getAnchor()`
Returns the value of the 'Anchor' attribute.
Methods in org.eclipse.birt.chart.model.layout with parameters of type Anchor
Modifier and Type
Method
Description
`void`
Block.`setAnchor(Anchor value)`
Sets the value of the '`Anchor`' attribute.

## Uses of Anchor in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl that return Anchor
Modifier and Type
Method
Description
`Anchor`
BlockImpl.`getAnchor()`
Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type Anchor
Modifier and Type
Method
Description
`void`
BlockImpl.`setAnchor(Anchor newAnchor)`

## Uses of Anchor in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return Anchor
Modifier and Type
Method
Description
`Anchor`
BaseRenderer.`switchAnchor(Anchor anchor)`
Switch Anchor value due to right-left setting.
Methods in org.eclipse.birt.chart.render with parameters of type Anchor
Modifier and Type
Method
Description
`Anchor`
BaseRenderer.`switchAnchor(Anchor anchor)`
Switch Anchor value due to right-left setting.